[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPSList.Add

Add a new item to the list

## Declaration

Source position: fgl.pp line 75

`public function TFPSList.Add(`
`Item: Pointer`
`):Integer;`

## Arguments

`Item` |  | Pointer to the item to be added.

## Function result

The index at which the item was added.

## Description

Add adds the item pointed to by Item to the list. It is not the pointer Item itself which is added to the list, but rather the TFPSList.ItemSize bytes of memory to which Item is pointing.

The function returns the index of the newly added item.

## Errors

If the maximum list size is reached, an EListError is raised.

## See also

TFPSList.Delete |  | Delete an item from the list
TFPSList.Items |  | Items in the list
TFPSList.Clear |  | Clear the list